#include<stdio.h>
#include<iostream>
#include<string>
#include<math.h>
using namespace std;
int main() {
	string s;
	cin >> s;
	char c1 = s[0], c2 = s[1];
	int a1, a2;
	cin >> a1 >> a2;
	if (abs(a1 - a2) >= 2) {
		printf("nemoguce");
	}
	else if (a1 == a2) {
		for (int i = 0; i < a1; i++) {
			printf("%c%c", c1, c2);
		}
	}
	else if (a1 - 1 == a2) {
		for (int i = 0; i < a2; i++) {
			printf("%c%c", c1, c2);
		}
		printf("%c", c1);
	}
	else if (a2 - 1 == a1) {
		for (int i = 0; i < a1; i++) {
			printf("%c%c", c2, c1);
		}
		printf("%c", c2);
	}
	return 0;
}